Community
Civil 3D Forum
Welcome to Autodesk’s Civil 3D Forums. Share your knowledge, ask questions, and explore popular AutoCAD Civil 3D topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Ellipses to points

7 REPLIES 7
SOLVED
Reply
Message 1 of 8
Goran_Kingkong
170 Views, 7 Replies

Ellipses to points

Do any of you have an idea how to make points out of the center of ellipses? I did not find any lisp.

Ive tried to grab the center coordinates to an excel document but dont know how to. There are too many ellipses to manually create points

Tags (1)
Labels (1)
7 REPLIES 7
Message 2 of 8
Pointdump
in reply to: Goran_Kingkong

Hi Göran,
More details please on what you're trying to do. Pictures would help.
Dave

Dave Stoll
Las Vegas, Nevada

EESignature

64GB DDR4 2400MHz ECC SoDIMM / 1TB SSD
NVIDIA Quadro P5000 16GB
Windows 10 Pro 64 / Civil 3D 2024
Message 3 of 8
Goran_Kingkong
in reply to: Pointdump

I received a drawing with a lot of ellipses. I need to create a point in center of each ellipse. I’ve got a lisp to do this for circles, but not for ellipses

Message 4 of 8

One option is to use DATAEXTRACTION to export the coordinates to a CSV that can be brought in as a point file or opened in Excel.

Are you looking for Cogo Points or AutoCAD Points? Do the Ellipses have elevations that need to be maintained? What's the final product you're aiming for? If it's a Surface there are other options.

Allen Jessup
CAD Manager - Designer
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature

Message 5 of 8

Mamma mia! i asked AI to make me a lisp and it worked straight out the box!

 

 (defun c:EllipseCenterPoints ()
(setq ss (ssget "X" '((0 . "ELLIPSE")))) ; Select all ellipses in the drawing
(if ss
(progn
(setq i 0)
(repeat (sslength ss)
(setq ent (ssname ss i))
(setq elist (entget ent))
(setq center (cdr (assoc 10 elist))) ; Get the center coordinates
(command "POINT" center) ; Create a point at the center
(setq i (1+ i))
)
)
(princ "\nNo ellipses found in the drawing.")
)
(princ)
)

Message 6 of 8
Pointdump
in reply to: Goran_Kingkong

Göran,
As @AllenJessup says, Data Extraction works. I tried it myself just now.
Dave

 

EllipseCenters_1.png

 

Dave Stoll
Las Vegas, Nevada

EESignature

64GB DDR4 2400MHz ECC SoDIMM / 1TB SSD
NVIDIA Quadro P5000 16GB
Windows 10 Pro 64 / Civil 3D 2024
Message 7 of 8

So it was AutoCAD Points.

Allen Jessup
CAD Manager - Designer
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature

Message 8 of 8
nkiakas
in reply to: Goran_Kingkong

Hi @Goran_Kingkong

 

For Dynamo this is very simple.

I created a long time a graph in Dynamo to do the same for the center of circles.

I could edit it little bit (change object type from circles to elipses) and share with you.

 

Regards 

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Rail Community


 

Autodesk Design & Make Report